CREATE OR REPLACE FORCE VIEW "AB03B"."AB03B47V00" ("ID_047", "NUM_RERA_047", "FECHA_INSCRIPCION", "RAZON_SOCIAL_047", "DIRECCIONEMP1", "DIRECCIONEMP2", "TELF1_047", "TELF2_047", "FAX_047", "EMAIL_047", "PROVINCIA_047", "ACTIVO_SN_047")
AS
SELECT t47.id_047,
    t47.Num_Rera_047,
    t31.f_cambio_estado_031,
    T47.Razon_Social_047,
    CASE
      WHEN NORACALLEEMP.DS_O IS NULL
      THEN T47.CALLE_047
        || ', '
        || T47.NUM_CALLE_047
        || DECODE(T47.PISO_047, NULL, '', ' - '
        || T47.PISO_047)
        || ''
        || T47.LETRA_047
      ELSE CONCAT(CONCAT(CONCAT(NORACALLEEMP.DS_O,' ('),NORACALLEEMP.TIPO_VIA),')')
        || ', '
        || T47.NUM_CALLE_047
        || DECODE(T47.PISO_047, NULL, '', ' - '
        || T47.PISO_047)
        || ''
        || T47.LETRA_047
    END AS DIRECCIONEMP1,
    CASE
    WHEN LOCALIDAD_047 IS NOT NULL
    THEN 
      T47.CP_047
      || ' '
      || NORALOC.DS_O 
    ELSE  T47.CP_047
      || ' '
      || NORAMUN.DS_O 
    END AS DIRECCIONEMP2,
    T47.Telf1_047,
    T47.Telf2_047,
    T47.fax_047,
    T47.email_047,
    T47.Provincia_047,
    T47.Activo_Sn_047
  FROM ab03b47t00 t47
  LEFT JOIN ab03b31t00 t31
  ON t47.id_047     = T31.Id_047_Empresa
  AND t31.ESTADO_031=0
  LEFT JOIN T17I.T17_PROVINCIA NORAPROV
  ON NORAPROV.ID =T47.PROVINCIA_047
  LEFT JOIN T17I.T17_MUNICIPIO NORAMUN
  ON NORAMUN.PROVINCIA_ID = T47.PROVINCIA_047
  AND NORAMUN.ID          = T47.MUNICIPIO_047  
  LEFT JOIN T17I.T17_LOCALIDAD NORALOC
  ON NORALOC.PROVINCIA_ID = T47.PROVINCIA_047
  AND NORALOC.MUNICIPIO_ID = T47.MUNICIPIO_047
  AND NORALOC.ID          = T47.LOCALIDAD_047 
  LEFT JOIN T17I.T17_CALLE NORACALLEEMP
  ON NORACALLEEMP.PROVINCIA_ID  = T47.PROVINCIA_047
  AND NORACALLEEMP.MUNICIPIO_ID = T47.MUNICIPIO_047
  AND T47.CALLE_047 LIKE NORACALLEEMP.ID
  WHERE t47.Activo_Sn_047 IS NOT NULL;